package com.hxhq.business.form.gsp;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author HanLong
 */
public class FfGspForm {

    /** 供试品id */
    @NotNull(message = "请选择供试品")
    private Long id;

    /** 备注 */
    private String remark;

    /** 转移条件 */
    @NotEmpty(message = "请选择转移条件")
    private String zytj;

    /** 目的ids */
    private String mdIds;

    /** 目的名称 */
    private String mdMcs;

    /** 目的其他 */
    private String mdOther;

    /** 领取人1Id  */
    @NotNull(message = "请选择领取人")
    private Long lqr1Id;

    /** 领取人1名称  */
    private String lqr1Mc;

    /** 领取人2Id */
    private Long lqr2Id;

    /** 领取人2名称 */
    private String lqr2Mc;

    /** 领取人1密码 */
    @NotEmpty(message = "请输入领取人密码")
    private String lqr1mm;

    /** 领取人2密码 */
    private String lqr2mm;

    /** 发放人1Id */
    @NotNull(message = "请选择发放人")
    private Long ffr1Id;

    /** 发放人1名称 */
    private String ffr1Mc;

    /** 发放人1密码 */
    @NotEmpty(message = "请输入发放人密码")
    private String ffr1mm;

    /** 发放人2Id */
    private Long ffr2Id;

    /** 发放人2名称 */
    private String ffr2Mc;

    /** 发放人2密码 */
    private String ffr2mm;

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getZytj() {
        return zytj;
    }

    public void setZytj(String zytj) {
        this.zytj = zytj;
    }

    public String getMdIds() {
        return mdIds;
    }

    public void setMdIds(String mdIds) {
        this.mdIds = mdIds;
    }

    public Long getLqr1Id() {
        return lqr1Id;
    }

    public void setLqr1Id(Long lqr1Id) {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr2Id() {
        return lqr2Id;
    }

    public void setLqr2Id(Long lqr2Id) {
        this.lqr2Id = lqr2Id;
    }

    public String getLqr1mm() {
        return lqr1mm;
    }

    public void setLqr1mm(String lqr1mm) {
        this.lqr1mm = lqr1mm;
    }

    public String getLqr2mm() {
        return lqr2mm;
    }

    public void setLqr2mm(String lqr2mm) {
        this.lqr2mm = lqr2mm;
    }

    public Long getFfr1Id() {
        return ffr1Id;
    }

    public void setFfr1Id(Long ffr1Id) {
        this.ffr1Id = ffr1Id;
    }

    public String getFfr1mm() {
        return ffr1mm;
    }

    public void setFfr1mm(String ffr1mm) {
        this.ffr1mm = ffr1mm;
    }

    public Long getFfr2Id() {
        return ffr2Id;
    }

    public void setFfr2Id(Long ffr2Id) {
        this.ffr2Id = ffr2Id;
    }

    public String getFfr2mm() {
        return ffr2mm;
    }

    public void setFfr2mm(String ffr2mm) {
        this.ffr2mm = ffr2mm;
    }

    public String getMdMcs() {
        return mdMcs;
    }

    public void setMdMcs(String mdMcs) {
        this.mdMcs = mdMcs;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }
}
